> ## Documentation Index
> Fetch the complete documentation index at: https://docs.roissingue.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a quote



## OpenAPI

````yaml POST /v1/quote
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.roissingue.com/
    description: Production
security: []
paths:
  /v1/quote:
    post:
      summary: Post Quote
      operationId: post_quote_v1_quote_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Quote'
            examples:
              USDC_by_slug:
                summary: To token by slug
                value:
                  fromToken:
                    chainId: 8453
                    address: '0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913'
                    amount: '100000000'
                  toToken:
                    slug: circle-usd
                  feeToken:
                    chainId: 8453
                    address: '0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913'
                  fromAddress: '0x6eBf2153f931334714984c7F5a8E574207927Cc7'
                  toAddress: '0x6eBf2153f931334714984c7F5a8E574207927Cc7'
                  slippage: 0.01
              USDC_crosschain:
                summary: To token by chainId/address (cross-chain)
                value:
                  fromToken:
                    chainId: 8453
                    address: '0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913'
                    amount: '100000000'
                  toToken:
                    chainId: 10
                    address: '0x94b008aa00579c1307b0ef2c499ad98a8ce58e58'
                  feeToken:
                    chainId: 8453
                    address: '0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913'
                  fromAddress: '0x6eBf2153f931334714984c7F5a8E574207927Cc7'
                  toAddress: '0x6eBf2153f931334714984c7F5a8E574207927Cc7'
                  slippage: 0.01
                  denySwapProviders:
                    - gluex
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    Quote:
      properties:
        fromToken:
          $ref: '#/components/schemas/TokenQuoteWithAmount'
        toToken:
          anyOf:
            - $ref: '#/components/schemas/TokenQuote'
            - $ref: '#/components/schemas/TokenQuoteBySlug'
          title: Totoken
        feeToken:
          $ref: '#/components/schemas/TokenQuote'
        fromAddress:
          type: string
          title: Fromaddress
        toAddress:
          type: string
          title: Toaddress
        slippage:
          type: number
          maximum: 1
          minimum: 0
          title: Slippage
          default: 0.05
        mode:
          type: string
          title: Mode
          default: eoa
        allowChains:
          items:
            type: integer
          type: array
          uniqueItems: true
          title: Allowchains
          default: []
        denyChains:
          items:
            type: integer
          type: array
          uniqueItems: true
          title: Denychains
          default: []
        allowSwapProviders:
          items:
            type: string
          type: array
          uniqueItems: true
          title: Allowswapproviders
          default: []
        denySwapProviders:
          items:
            type: string
          type: array
          uniqueItems: true
          title: Denyswapproviders
          default: []
        allowBridgeProviders:
          items:
            type: string
          type: array
          uniqueItems: true
          title: Allowbridgeproviders
          default: []
        denyBridgeProviders:
          items:
            type: string
          type: array
          uniqueItems: true
          title: Denybridgeproviders
          default: []
      type: object
      required:
        - fromToken
        - toToken
        - feeToken
        - fromAddress
        - toAddress
      title: Quote
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TokenQuoteWithAmount:
      properties:
        chainId:
          type: integer
          title: Chainid
        address:
          type: string
          title: Address
        amount:
          type: string
          title: Amount
      type: object
      required:
        - chainId
        - address
        - amount
      title: TokenQuoteWithAmount
    TokenQuote:
      properties:
        chainId:
          type: integer
          title: Chainid
        address:
          type: string
          title: Address
      type: object
      required:
        - chainId
        - address
      title: TokenQuote
    TokenQuoteBySlug:
      properties:
        slug:
          type: string
          title: Slug
      type: object
      required:
        - slug
      title: TokenQuoteBySlug
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````